# src/hex/Makefile.inc

app := hex
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

HEX_BAS  := $(app)
HEX_SRC  := $(foreach f,$(HEX_BAS),$(rel)/$(f).c)
HEX_OBJ  := $(foreach f,$(HEX_BAS),$(rel)/$(f).o)
HEX_HDR  := $(foreach f,$(HEX_BAS),$(rel)/$(f).h)
HEX_MAN1 := $(rel)/$(app).1
HEX_BIN  := $(rel)/$(app)

HEX_EXT_BAS := common getopt open strtoint
HEX_EXT_HDR := $(foreach f,$(HEX_EXT_BAS),src/lib/$(f).h) src/lib/config.h
HEX_EXT_OBJ := $(foreach f,$(HEX_EXT_BAS),src/lib/$(f).o)

BIN  += $(HEX_BIN)
MAN1 += $(HEX_MAN1)
CLN  += $(HEX_BIN) $(HEX_OBJ)
DIST += $(HEX_SRC) $(HEX_HDR) $(HEX_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(HEX_HDR) $(HEX_EXT_HDR)

$(rel)/$(app): $(HEX_EXT_OBJ) $(HEX_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(HEX_OBJ) $(HEX_EXT_OBJ) -o $@
