/*****************************************************************************
 * misc-utils                                                                *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/lnconv/lnconv.h                                          *
 * Created:     2000-09-22 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2000-2009 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#define LNCONV_BUF_SIZE 4096

#define LNCONV_FILE_MODE (S_IRUSR | S_IWUSR | S_IRGRP | S_IROTH)

#define LNCONV_STR_MAX 256


typedef struct {
	unsigned      i;
	unsigned      n;
	unsigned char *buf;

	unsigned      eol_cnt;
	unsigned char eol[LNCONV_STR_MAX];
} line_t;


