# src/mdate/Makefile.inc

app := mdate
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

MDATE_BAS  := $(app)
MDATE_SRC  := $(foreach f,$(MDATE_BAS),$(rel)/$(f).c)
MDATE_OBJ  := $(foreach f,$(MDATE_BAS),$(rel)/$(f).o)
MDATE_HDR  := $(foreach f,$(MDATE_BAS),$(rel)/$(f).h)
MDATE_MAN1 := $(rel)/$(app).1
MDATE_BIN  := $(rel)/$(app)

MDATE_EXT_BAS := common date getopt strtoint
MDATE_EXT_HDR := $(foreach f,$(MDATE_EXT_BAS),src/lib/$(f).h) src/lib/config.h
MDATE_EXT_OBJ := $(foreach f,$(MDATE_EXT_BAS),src/lib/$(f).o)

BIN  += $(MDATE_BIN)
MAN1 += $(MDATE_MAN1)
CLN  += $(MDATE_BIN) $(MDATE_OBJ)
DIST += $(MDATE_SRC) $(MDATE_HDR) $(MDATE_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(MDATE_HDR) $(MDATE_EXT_HDR)

$(rel)/$(app): $(MDATE_EXT_OBJ) $(MDATE_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(MDATE_OBJ) $(MDATE_EXT_OBJ) -o $@
