# src/readlink/Makefile.inc

app := readlink
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

READLINK_BAS  := $(app)
READLINK_SRC  := $(foreach f,$(READLINK_BAS),$(rel)/$(f).c)
READLINK_OBJ  := $(foreach f,$(READLINK_BAS),$(rel)/$(f).o)
READLINK_HDR  := $(foreach f,$(READLINK_BAS),$(rel)/$(f).h)
READLINK_MAN1 := $(rel)/$(app).1
READLINK_BIN  := $(rel)/$(app)

READLINK_EXT_BAS := common getopt
READLINK_EXT_HDR := $(foreach f,$(READLINK_EXT_BAS),src/lib/$(f).h) src/lib/config.h
READLINK_EXT_OBJ := $(foreach f,$(READLINK_EXT_BAS),src/lib/$(f).o)

BIN  += $(READLINK_BIN)
MAN1 += $(READLINK_MAN1)
CLN  += $(READLINK_BIN) $(READLINK_OBJ)
DIST += $(READLINK_SRC) $(READLINK_HDR) $(READLINK_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(READLINK_HDR) $(READLINK_EXT_HDR)

$(rel)/$(app): $(READLINK_EXT_OBJ) $(READLINK_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(READLINK_OBJ) $(READLINK_EXT_OBJ) -o $@
