# src/fmtmu/Makefile.inc

app := fmtmu
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

FMTMU_BAS  := $(app)
FMTMU_SRC  := $(foreach f,$(FMTMU_BAS),$(rel)/$(f).c)
FMTMU_OBJ  := $(foreach f,$(FMTMU_BAS),$(rel)/$(f).o)
FMTMU_HDR  := $(foreach f,$(FMTMU_BAS),$(rel)/$(f).h)
FMTMU_MAN1 := $(rel)/$(app).1
FMTMU_BIN  := $(rel)/$(app)

FMTMU_EXT_BAS := common getopt open strtoint
FMTMU_EXT_HDR := $(foreach f,$(FMTMU_EXT_BAS),src/lib/$(f).h) src/lib/config.h
FMTMU_EXT_OBJ := $(foreach f,$(FMTMU_EXT_BAS),src/lib/$(f).o)

BIN  += $(FMTMU_BIN)
MAN1 += $(FMTMU_MAN1)
CLN  += $(FMTMU_BIN) $(FMTMU_OBJ)
DIST += $(FMTMU_SRC) $(FMTMU_HDR) $(FMTMU_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(FMTMU_HDR) $(FMTMU_EXT_HDR)

$(rel)/$(app): $(FMTMU_EXT_OBJ) $(FMTMU_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(FMTMU_OBJ) $(FMTMU_EXT_OBJ) -o $@
