# src/pipe/Makefile.inc

app := pipe
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

PIPE_BAS  := $(app)
PIPE_SRC  := $(foreach f,$(PIPE_BAS),$(rel)/$(f).c)
PIPE_OBJ  := $(foreach f,$(PIPE_BAS),$(rel)/$(f).o)
PIPE_HDR  := $(foreach f,$(PIPE_BAS),$(rel)/$(f).h)
PIPE_MAN1 := $(rel)/$(app).1
PIPE_BIN  := $(rel)/$(app)

PIPE_EXT_BAS := common strarg
PIPE_EXT_HDR := $(foreach f,$(PIPE_EXT_BAS),src/lib/$(f).h) src/lib/config.h
PIPE_EXT_OBJ := $(foreach f,$(PIPE_EXT_BAS),src/lib/$(f).o)

BIN  += $(PIPE_BIN)
MAN1 += $(PIPE_MAN1)
CLN  += $(PIPE_BIN) $(PIPE_OBJ)
DIST += $(PIPE_SRC) $(PIPE_HDR) $(PIPE_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(PIPE_HDR) $(PIPE_EXT_HDR)

$(rel)/$(app): $(PIPE_EXT_OBJ) $(PIPE_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(PIPE_OBJ) $(PIPE_EXT_OBJ) -o $@
