# src/subst/Makefile.inc

app := subst
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

SUBST_BAS  := $(app)
SUBST_SRC  := $(foreach f,$(SUBST_BAS),$(rel)/$(f).c)
SUBST_OBJ  := $(foreach f,$(SUBST_BAS),$(rel)/$(f).o)
SUBST_HDR  := $(foreach f,$(SUBST_BAS),$(rel)/$(f).h)
SUBST_MAN1 := $(rel)/$(app).1
SUBST_BIN  := $(rel)/$(app)

SUBST_EXT_BAS := common getopt open
SUBST_EXT_HDR := $(foreach f,$(SUBST_EXT_BAS),src/lib/$(f).h) src/lib/config.h
SUBST_EXT_OBJ := $(foreach f,$(SUBST_EXT_BAS),src/lib/$(f).o)

BIN  += $(SUBST_BIN)
MAN1 += $(SUBST_MAN1)
CLN  += $(SUBST_BIN) $(SUBST_OBJ)
DIST += $(SUBST_SRC) $(SUBST_HDR) $(SUBST_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(SUBST_HDR) $(SUBST_EXT_HDR)

$(rel)/$(app): $(SUBST_EXT_OBJ) $(SUBST_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(SUBST_OBJ) $(SUBST_EXT_OBJ) -o $@
