# src/ttylog/Makefile.inc

app := ttylog
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

TTYLOG_BAS  := $(app)
TTYLOG_SRC  := $(foreach f,$(TTYLOG_BAS),$(rel)/$(f).c)
TTYLOG_OBJ  := $(foreach f,$(TTYLOG_BAS),$(rel)/$(f).o)
TTYLOG_HDR  := $(foreach f,$(TTYLOG_BAS),$(rel)/$(f).h)
TTYLOG_MAN1 := $(rel)/$(app).1
TTYLOG_BIN  := $(rel)/$(app)

TTYLOG_EXT_BAS := common file getopt strtoint
TTYLOG_EXT_HDR := $(foreach f,$(TTYLOG_EXT_BAS),src/lib/$(f).h) src/lib/config.h
TTYLOG_EXT_OBJ := $(foreach f,$(TTYLOG_EXT_BAS),src/lib/$(f).o)

BIN  += $(TTYLOG_BIN)
MAN1 += $(TTYLOG_MAN1)
CLN  += $(TTYLOG_BIN) $(TTYLOG_OBJ)
DIST += $(TTYLOG_SRC) $(TTYLOG_HDR) $(TTYLOG_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(TTYLOG_HDR) $(TTYLOG_EXT_HDR)

$(rel)/$(app): $(TTYLOG_EXT_OBJ) $(TTYLOG_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(TTYLOG_OBJ) $(TTYLOG_EXT_OBJ) -o $@
